Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.taglib.i18n
Class I18nTag

    java.lang.Object
      |
      +--javax.servlet.jsp.tagext.TagSupport
            |
            +--com.bea.p13n.taglib.i18n.I18nTag

Direct Known Subclasses:
  GetMessageTag, LocalizeTag

public abstract class I18nTag
extends javax.servlet.jsp.tagext.TagSupport

Base class for all internationalization (i18n) tags.

See Also:
  Serialized Form

Field Summary
`protected static int` | `logLevel`
`protected static boolean` | `printStackTraces`
`protected static boolean` | `verbose`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Constructor Summary
`I18nTag()`

Method Summary
`protected void` | `debug(java.lang.String aMessage)` Convenience method for logging a LOG_DEBUG level message
`protected void` | `info(java.lang.String aMessage)` Convenience method for logging a LOG_INFO level message
`protected static boolean` | `logLevelDebug()` Convenience method that returns true if log level is at least LOG_DEBUG.
`protected static boolean` | `logLevelInfo()` Convenience method that returns true if log level is at least LOG_INFO.
`protected static boolean` | `logLevelWarning()` Convenience method that returns true if log level is at least LOG_WARNING.
`protected void` | `warning(java.lang.String aMessage)` Convenience method for logging a LOG_WARNING level message
`protected void` | `warning(java.lang.String aMessage, java.lang.Throwable aThrowable)` Convenience method for logging a LOG_WARNING level message

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doEndTag, doStartTag, findAncestorWithClass, getId, getParent, getValue, getValues, release, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### printStackTraces

    protected static final boolean printStackTraces

### verbose

    protected static final boolean verbose

### logLevel

    protected static int logLevel

Constructor Detail

### I18nTag

    public I18nTag()

Method Detail

### logLevelDebug

    protected static boolean logLevelDebug()

  Convenience method that returns true if log level is at least LOG_DEBUG.

### logLevelInfo

    protected static boolean logLevelInfo()

  Convenience method that returns true if log level is at least LOG_INFO.

### logLevelWarning

    protected static boolean logLevelWarning()

  Convenience method that returns true if log level is at least LOG_WARNING.

### debug

    protected void debug(java.lang.String aMessage)

  Convenience method for logging a LOG_DEBUG level message

### info

    protected void info(java.lang.String aMessage)

  Convenience method for logging a LOG_INFO level message

### warning

    protected void warning(java.lang.String aMessage)

  Convenience method for logging a LOG_WARNING level message

### warning

    protected void warning(java.lang.String aMessage,
                           java.lang.Throwable aThrowable)

  Convenience method for logging a LOG_WARNING level message

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved